Skip to main content
GET
List notifications

Authorizations

The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.

Query Parameters

workspace_id
string<uuid>
required

The workspace to list notifications for.

unread_only
boolean
default:false

Return only unread notifications.

include_dismissed
boolean
default:false

Include notifications you deleted from the panel.

include_archived
boolean
default:false

Include archived notifications as well as active ones.

only_archived
boolean
default:false

Return only archived notifications.

priority
string

Only notifications with this priority, for example high.

Only notifications about this kind of item, for example workflow or task.

Only notifications about this item.

limit
integer
default:50

Page size. The app asks for 50.

Required range: x >= 1
offset
integer
default:0

Number of notifications to skip.

Required range: x >= 0

Response

A page of notifications.

notifications
object[]
count
integer

Number of notifications in this page (not the total).

unread_count
integer

Unread, not-deleted notifications in the workspace.

archived_count
integer

Archived notifications in the workspace. 0 when limit is 1 or archived rows were requested.

limit
integer
offset
integer